Last Comment Bug 5894 - We need to convert Hankaku to Zenkaku
: We need to convert Hankaku to Zenkaku
Status: VERIFIED FIXED
:
Product: MailNews Core
Classification: Components
Component: Internationalization (show other bugs)
: Trunk
: x86 Windows NT
: P3 normal (vote)
: M14
Assigned To: nhottanscp
: Katsuhiko Momoi
:
Mentors:
Depends on:
Blocks: 6262 6672 7228 19081
  Show dependency treegraph
 
Reported: 1999-05-03 22:47 PDT by Katsuhiko Momoi
Modified: 2008-07-31 01:22 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
a path file (1.96 KB, patch)
2000-02-01 15:52 PST, nhottanscp
no flags Details | Diff | Splinter Review

Description Katsuhiko Momoi 1999-05-03 22:47:18 PDT
** Observed with 5/3/99 Win32 M6 candidate build **

I sent the following body text including the Hankaku sequence for
"mail".

これも二本からのメールなり。

Apparently we don't have Hankaku-to-Zenkaku hooked up yet, because
what I received was 8-bit Hankaku characters mixed in with the
7-bit JIS.

---------------- Source of the above with relevant headers *********

Content-Type: text/plain; charset=ISO-2022-JP
Content-Transfer-Encoding: quoted-printable
X-MIME-Autoconverted: from 8bit to quoted-printable by netscape.com id WAA08208

=1B$@$3$l$bFsK\$+$i$N=1B(J=D2=B0=D9=1B$@$J$j!#=1B(B

---------------- Source of the above with relevant headers *********

Maybe there is some prefs50.js option? In any case, the default should
be no Hankaku.
Comment 1 nhottanscp 1999-05-04 10:42:59 PDT
M7.
Filed a separte bug (#5909) for the mapping function. Messenger will use it when
it's available.
We can use mailnews.send_hankaku_kana (same as 4.5).
Comment 2 Katsuhiko Momoi 1999-05-04 11:54:59 PDT
I tried the pref option (set to false) but it did not work.
Are you saying that the pref option will work when the
interface utility is checked in? (Bug 5904)
Comment 3 nhottanscp 1999-05-04 12:50:59 PDT
You're right, it won't work until M7, sorry for the confusion.
Comment 4 nhottanscp 1999-05-24 11:03:59 PDT
5909 is fixed, the mapping interface is available.
But there is an another issue because of the change 6672. The plan for M7 is
that messenger to receive a stream instead of nsString from Ender. Since
messenger now gets converted stream (not unicode unless explicitly request), it
is not easy to use the new mapping interface which is unicode base.
It may be solved by let Ender to do this mapping. This works for mail body but
widgets (e.g. subject) may be difficult. This mapping is only needed for mail
and it should not be applied for HTML forms for example.
Adding kostello@netscape.com,ducarroz@netscape.com,ftang@netscape.com to cc.
Comment 5 nhottanscp 1999-06-02 10:09:59 PDT
I should wait until the new interface of the Ender to compelete (6672).
For headers, need to wait for the Ender widget. Moving to M8.
Comment 6 nhottanscp 1999-06-21 10:50:59 PDT
Adding dependency 6262,6672.
Comment 7 nhottanscp 1999-06-28 11:48:59 PDT
Adding 8865 to dependency.
Also moving to M9, it is not likely that I have chance to make this for M8.
Comment 8 nhottanscp 1999-07-07 15:53:59 PDT
Moving to M10.
Comment 9 nhottanscp 1999-08-18 13:46:59 PDT
Post beta feature, M15.
Comment 10 nhottanscp 1999-09-29 13:29:59 PDT
Removing dependency to 8865, hankaku->zenkaku conversion is not included in
8865.
Comment 11 nhottanscp 2000-02-01 15:52:27 PST
Created attachment 4806 [details] [diff] [review]
a path file
Comment 12 nhottanscp 2000-02-02 17:07:37 PST
Checked in.
Now it maps hankaku to zenkaku for mail send if the charset is "ISO-2022-JP" and 
the pref "mailnews.send_hankaku_kana" is false or not specified.
Comment 13 Katsuhiko Momoi 2000-02-19 13:59:46 PST
** Checked with 2/18/2000 Win32 build **

With both Plain text and HTML mail, Hankaku characters are now converted into Zenkaku
characters under ISO-2022-JP setting for send.
Marking it fixed verified.
Comment 14 Katsuhiko Momoi 2000-02-19 14:00:22 PST
CC'ing marina and ji.

Note You need to log in before you can comment on or make changes to this bug.